-- name: [CS] In Stars and Time Character Pack
-- description: The cast from Vaugarde, Ka Bue and a forgotten island, timelooped straight into Super Mario 64.
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_SIFFRIN_MODEL = smlua_model_util_get_id("siffrin_geo")

local E_MODEL_MIRA_MODEL = smlua_model_util_get_id("mira_geo")

local E_MODEL_ISA_MODEL = smlua_model_util_get_id("isa_geo")

local E_MODEL_ODILE_MODEL = smlua_model_util_get_id("odile_geo")

local E_MODEL_BONNIE_MODEL = smlua_model_util_get_id("bonnie_geo")

local E_MODEL_LOOP_MODEL = smlua_model_util_get_id("loop_geo")


local TEXT_MOD_NAME = "In Stars and Time Character Pack"

local capSif = {
    normal = smlua_model_util_get_id("siffrin_cap_geo"),
    wing = smlua_model_util_get_id("siffrin_wing_cap_geo"),
    metal = smlua_model_util_get_id("siffrin_cap_geo"),
    metalWing = smlua_model_util_get_id("siffrin_wing_cap_geo")
}

local capMira = {
    normal = smlua_model_util_get_id("mira_cap_geo"),
    wing = smlua_model_util_get_id("mira_wing_cap_geo"),
    metal = smlua_model_util_get_id("mira_cap_geo"),
    metalWing = smlua_model_util_get_id("mira_wing_cap_geo")
}

local capOdile = {
    normal = smlua_model_util_get_id("odile_cap_geo"),
    wing = smlua_model_util_get_id("odile_wing_cap_geo"),
    metal = smlua_model_util_get_id("odile_cap_geo"),
    metalWing = smlua_model_util_get_id("odile_wing_cap_geo")
}

local capBon = {
    normal = smlua_model_util_get_id("bonnie_cap_geo"),
    wing = smlua_model_util_get_id("bonnie_wing_cap_geo"),
    metal = smlua_model_util_get_id("bonnie_cap_geo"),
    metalWing = smlua_model_util_get_id("bonnie_wing_cap_geo")
}

local capLoop = {
    normal = smlua_model_util_get_id("loop_cap_geo"),
    wing = smlua_model_util_get_id("loop_wing_cap_geo"),
    metal = smlua_model_util_get_id("loop_cap_geo"),
    metalWing = smlua_model_util_get_id("loop_wing_cap_geo")
}

_G.charSelect.character_add_caps(E_MODEL_SIFFRIN_MODEL, capSif)
_G.charSelect.character_add_caps(E_MODEL_MIRA_MODEL, capMira)
_G.charSelect.character_add_caps(E_MODEL_ODILE_MODEL, capOdile)
_G.charSelect.character_add_caps(E_MODEL_BONNIE_MODEL, capBon)
_G.charSelect.character_add_caps(E_MODEL_LOOP_MODEL, capLoop)

if _G.charSelectExists then
    _G.charSelect.character_add("Siffrin", {"It's you!"}, "NumberOneJenny", {r = 255, g = 255, b = 255}, E_MODEL_SIFFRIN_MODEL, CT_MARIO, get_texture_info("siffrin"))
    _G.charSelect.character_add("Mirabelle", {"A Housemaiden from the town of Dormont, blessed by the Change God."}, "NumberOneJenny", {r = 150, g = 150, b = 150}, E_MODEL_MIRA_MODEL, CT_MARIO, get_texture_info("mira"))
    _G.charSelect.character_add("Isabeau", {"A fighter from the city of Jouvente. He quit his job as a Defender to join in this journey."}, "NumberOneJenny", {r = 101, g = 101, b = 101}, E_MODEL_ISA_MODEL, CT_MARIO, get_texture_info("isa"))
    _G.charSelect.character_add("Odile", {"A researcher of... something, from Ka Bue. Her Craft knowledge is unparalleled."}, "NumberOneJenny", {r = 213, g = 213, b = 213}, E_MODEL_ODILE_MODEL, CT_MARIO, get_texture_info("odile"))
    _G.charSelect.character_add("Boniface", {"That's just a kid!!! Who brought a kid here!!!"}, "NumberOneJenny", {r = 101, g = 101, b = 101}, E_MODEL_BONNIE_MODEL, CT_MARIO, get_texture_info("bonnie"))
    _G.charSelect.character_add("Loop", {"A cheeky ethereal being of infinite starlight."}, "NumberOneJenny", {r = 255, g = 255, b = 255}, E_MODEL_LOOP_MODEL, CT_MARIO, get_texture_info("loop"))
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end